Support » Fixing WordPress » Unable to update WordPress version due to PHP Version – Need Guidance Please

  • Resolved sherrilynshaw

    (@sherrilynshaw)


    Hi,

    I am attempting to update the wordpress version by myself (I hired a designer who was supposed to do updates, but he disappeared) to start making updates on my website (I’m not a web developer) and I get the following message:

    “An updated version of WordPress is available.
    You cannot update because WordPress 5.2.4 requires PHP version 5.6.20 or higher. You are running version 5.4.45.”

    Does anyone know how I can go about updating the PHP version? I’m at a dead-end here.

    Any suggestions would be appreciated or links to articles that can walk me through this even. I haven’t been able to successfully find a way to address this.

    Thank you in advance!

Viewing 5 replies - 1 through 5 (of 5 total)
  • PHP is on your server. You can log in to your C-Panel and update the PHP or call your host and ask them to.

    Thank you, I’ll start there. 🙂
    Sincerely,
    Sherri-Lyn

    Good advice from HudsonValleyWebDesign. I would add to first make sure you have an up-to-date backup of your site including the database.

    Thank you both.

    After the many discussions I’ve had with GoDaddy and the individuals around me, I see that as a small “non-technical” business owner, the wordpress site that I had built for me requires technical skills that I don’t possess and will move my site over to another platform with a simple user-friendly content management site that does not require me to do technical updates/upgrades that are more code-ish.

    I truly appreciate all of your help and wish you a wonderful day. 🙂

    Find a local web designer.

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.